Package org.h2.tools

# Class RunScript

java.lang.Object
org.h2.util.Tool
org.h2.tools.RunScript

public class RunScript extends Tool
Runs a SQL script against a database.

## Field Summary

### Fields inherited from class org.h2.util.Tool

`out`

## Constructor Summary

Constructors
Constructor
Description
`RunScript()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`execute(String url, String user, String password, String fileName, Charset charset, boolean continueOnError)`
Executes the SQL commands in a script file against a database.
`static ResultSet`
`execute(Connection conn, Reader reader)`
Executes the SQL commands read from the reader against a database.
`static void`
`main(String... args)`
Options are case sensitive.
`void`
`runTool(String... args)`
Executes the contents of a SQL script file against a database.

### Methods inherited from class org.h2.util.Tool

`getMainClassName, isOption, printNoDatabaseFilesFound, setOut, showUsage, showUsageAndThrowUnsupportedOption, throwUnsupportedOption`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RunScript

public RunScript()

## Method Details

### main

public static void main(String... args) throws SQLException
Options are case sensitive.

Supported options
[-help] or [-?] | Print the list of options
[-url "<url>"] | The database URL (jdbc:...)
[-user <user>] | The user name (default: sa)
[-password <pwd>] | The password
[-script <file>] | The script file to run (default: backup.sql)
[-driver <class>] | The JDBC driver class to use (not required in most cases)
[-showResults] | Show the statements and the results of queries
[-checkResults] | Check if the query results match the expected results
[-continueOnError] | Continue even if the script contains errors
[-options ...] | RUNSCRIPT options (embedded H2; -*Results not supported)

Parameters:
  `args` - the command line arguments
Throws:
  `SQLException` - on failure

### runTool

public void runTool(String... args) throws SQLException
Executes the contents of a SQL script file against a database. This tool is usually used to create a database from script. It can also be used to analyze performance problems by running the tool using Java profiler settings such as:

     java -Xrunhprof:cpu=samples,depth=16 ...

To include local files when using remote databases, use the special syntax:

     @INCLUDE fileName

This syntax is only supported by this tool. Embedded RUNSCRIPT SQL statements will be executed by the database.

Specified by:
  `runTool` in class `Tool`
Parameters:
  `args` - the command line arguments
Throws:
  `SQLException` - on failure

### execute

public static ResultSet execute(Connection conn, Reader reader) throws SQLException
Executes the SQL commands read from the reader against a database.

Parameters:
  `conn` - the connection to a database
  `reader` - the reader
Returns:
  the last result set
Throws:
  `SQLException` - on failure

### execute

public static void execute(String url, String user, String password, String fileName, Charset charset, boolean continueOnError) throws SQLException
Executes the SQL commands in a script file against a database.

Parameters:
  `url` - the database URL
  `user` - the user name
  `password` - the password
  `fileName` - the script file
  `charset` - the character set or null for UTF-8
  `continueOnError` - if execution should be continued if an error occurs
Throws:
  `SQLException` - on failure